package de.tud.kom.p2psim.impl.topology.movement.modularosm.movementIconVisualisation;

/**
 * Mapping of objects to icons, for usage with the {@link ModularMovementIconVis}, especially
 * if the config files. The contained object is the String of the class that should get an icon. The
 * iconpath is obviously the path to the icon that should be used for this object.
 *
 * @author Clemens Krug
 */
public class IconMapping
{
    private String object;
    private String iconpath;

    public void setObject(String object)
    {
        this.object = object;
    }

    public void setIconPath(String path)
    {
        iconpath = path;
    }

    public String getObject() {
        return object;
    }

    public String getIconpath() {
        return iconpath;
    }
}
